Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007827TestLinkAPI - XMLRPCpublic2017-01-26 14:022017-03-14 06:31
ReporterDierickxD71 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007827: Extend API to get ALL runs on a certain build - new function getExecutionResult
DescriptionWe needed a possibility to get ALL runs performed on a certain testplan+build , not just the last result.

I copied getAllExecutionResult to getExecutionResult , and adapted the source to get all results, plus 2 options:
- options['getAllExecutions'] = true / false(=default)
- options['getOrderDescending'] = true(=descending) / false(=ascending,default)

Source of xmlrpc.class.php (txt) in attachment, together with a sample client source clientGetExecutionResult.php (txt)

Tested and working.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filestxt file icon xmlrpc.class.php.txt [^] (269,012 bytes) 2017-01-26 14:02
txt file icon clientGetExecutionResult.php.txt [^] (2,842 bytes) 2017-01-26 14:03 [Show Content]

- Relationships
related to 0007872closedfman Get All test execution by build 
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-01-26 14:02 DierickxD71 New Issue
2017-01-26 14:02 DierickxD71 File Added: xmlrpc.class.php.txt
2017-01-26 14:03 DierickxD71 File Added: clientGetExecutionResult.php.txt
2017-03-13 22:30 fman QA Team - Task Workflow Status => TBD
2017-03-13 22:30 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-13 22:31 fman Status new => resolved
2017-03-13 22:31 fman Resolution open => fixed
2017-03-13 22:31 fman Assigned To => fman
2017-03-13 22:31 fman Relationship added child of 0007817
2017-03-14 06:31 fman Relationship added related to 0007872



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker